View Issue Details

IDProjectCategoryView StatusLast Update
0000860SUMoBugpublic2012-03-10 22:41
Reporteradam777Assigned ToKyle_Katarn 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0000860: SUMo can not detect version completely (4th digit not taken into account)
DescriptionHello,
At its current state, SUMo determines product version based on a maximum of 3 digits (e.g. 0.1.2), however, many product use more digits to state current version/build, so using such scheme isn't entirely correct.
For example, uTorrent's current version is 1.8.1.12639, SUMo will treat it as 1.8.1, which is wrong as the whole "1.8.1" line will have 1.8.1 as the first 3 digits, and the 4th digit is the actual build number.
This way, SUMo will only report available updates for major product updates.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2008-11-08 09:56 adam777 New Issue
2008-11-08 17:20 Kyle_Katarn Assigned To => Kyle_Katarn
2008-11-08 17:20 Kyle_Katarn Status new => acknowledged
2008-11-23 23:56 Kyle_Katarn Summary For some products, SUMo can not detect version correctly => SUMo can not detect version completely (4th digit not taken into account)
2012-03-10 22:41 Kyle_Katarn Status acknowledged => resolved
2012-03-10 22:41 Kyle_Katarn Fixed in Version => 3.0
2012-03-10 22:41 Kyle_Katarn Resolution open => fixed